import express, { json as jsonBodyParser } from "express";

import userRouter from "./user";
import gradeRouter from "./grade";

const app = express();
app.use(jsonBodyParser({ "strict": true }));

app.get("/hello", (_, res) => {
  res.send("hellosu there");
});

// routes
app.use("/grade", gradeRouter);
app.use("/user", userRouter);

export default {
  "path": "/api",
  "handler": app,
};
